Bug 176266 - CVE-2005-4348 Fetchmail DOS by malicious server in multidrop mode
CVE-2005-4348 Fetchmail DOS by malicious server in multidrop mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: fetchmail (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
source=fetchmail,reported=20051220,im...
: Security
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2005-12-20 13:30 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0018
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 12:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-12-20 13:30:09 EST
Fetchmail DOS by malicious server in multidrop mode

Fetchmail contains a bug where when running in multidrop mode, a 
malicious mail server can crash the client by sending a message 
without headers.

This is not default behavior, so a user would have to connect to a 
malicious server.
http://fetchmail.berlios.de/fetchmail-SA-2005-03.txt

source=fetchmail,reported=20051220,impact=low,public=20051219
Comment 2 RHEL Product and Program Management 2006-08-18 12:49:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Red Hat Bugzilla 2007-01-31 12:20:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0018.html

Note You need to log in before you can comment on or make changes to this bug.